Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.core.util
Class StringKeyIgnoreCaseMultivaluedMap<V>

    java.lang.Object
      java.util.AbstractMap<K,V>
          com.sun.jersey.core.util.KeyComparatorHashMap<java.lang.String,java.util.List<V>>
              com.sun.jersey.core.util.StringKeyIgnoreCaseMultivaluedMap<V>

Type Parameters:
  `V` - the type of values.

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.util.List<V>>, javax.ws.rs.core.MultivaluedMap<java.lang.String,V>

Direct Known Subclasses:
  StringKeyObjectValueIgnoreCaseMultivaluedMap, StringKeyStringValueIgnoreCaseMultivaluedMap

    public class StringKeyIgnoreCaseMultivaluedMap<V>

extends KeyComparatorHashMap<java.lang.String,java.util.List<V>>
implements javax.ws.rs.core.MultivaluedMap<java.lang.String,V>

An implementation of `MultivaluedMap` where keys are instances of String and are compared ignoring case.

Author:
  Paul.Sandoz@Sun.Com
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`StringKeyIgnoreCaseMultivaluedMap()`

Method Summary
`void` | `add(java.lang.String key, V value)`
`V` | `getFirst(java.lang.String key)`
`protected java.util.List<V>` | `getList(java.lang.String key)`
`void` | `putSingle(java.lang.String key, V value)`

Methods inherited from class com.sun.jersey.core.util.KeyComparatorHashMap
`clear, clone, containsKey, containsValue, entrySet, get, getDEFAULT_INITIAL_CAPACITY, getModCount, isEmpty, put, putAll, remove, size`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, keySet, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### StringKeyIgnoreCaseMultivaluedMap

    public StringKeyIgnoreCaseMultivaluedMap()

Method Detail

### putSingle

    public void putSingle(java.lang.String key,
                          V value)

  Specified by:
    `putSingle` in interface `javax.ws.rs.core.MultivaluedMap<java.lang.String,V>`

### add

    public void add(java.lang.String key,
                    V value)

  Specified by:
    `add` in interface `javax.ws.rs.core.MultivaluedMap<java.lang.String,V>`

### getFirst

    public V getFirst(java.lang.String key)

  Specified by:
    `getFirst` in interface `javax.ws.rs.core.MultivaluedMap<java.lang.String,V>`

### getList

    protected java.util.List<V> getList(java.lang.String key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.